Loading...
Searching...
No Matches
_DrawInfo Struct Reference

## Data Fields

char * | primitive
char * | geometry
RectangleInfo | viewbox
AffineMatrix | affine
PixelInfo | fill
PixelInfo | stroke
PixelInfo | undercolor
PixelInfo | border_color
Image * | fill_pattern
Image * | stroke_pattern
double | stroke_width
GradientInfo | gradient
MagickBooleanType | stroke_antialias
MagickBooleanType | text_antialias
FillRule | fill_rule
LineCap | linecap
LineJoin | linejoin
size_t | miterlimit
double | dash_offset
DecorationType | decorate
CompositeOperator | compose
char * | text
char * | font
char * | metrics
char * | family
size_t | face
StyleType | style
StretchType | stretch
size_t | weight
char * | encoding
double | pointsize
char * | density
AlignType | align
GravityType | gravity
char * | server_name
double * | dash_pattern
char * | clip_mask
SegmentInfo | bounds
ClipPathUnits | clip_units
Quantum | alpha
MagickBooleanType | render
ElementReference | element_reference
double | kerning
double | interword_spacing
double | interline_spacing
DirectionType | direction
MagickBooleanType | debug
size_t | signature
double | fill_alpha
double | stroke_alpha
MagickBooleanType | clip_path
Image * | clipping_mask
ComplianceType | compliance
Image * | composite_mask
char * | id
WordBreakType | word_break
ImageInfo * | image_info

## Detailed Description

Definition at line 209 of file draw.h.

## Field Documentation

## affine

AffineMatrix _DrawInfo::affine

Definition at line 219 of file draw.h.

## align

AlignType _DrawInfo::align

Definition at line 290 of file draw.h.

## alpha

Quantum _DrawInfo::alpha

Definition at line 311 of file draw.h.

## border_color

PixelInfo _DrawInfo::border_color

Definition at line 225 of file draw.h.

## bounds

SegmentInfo _DrawInfo::bounds

Definition at line 305 of file draw.h.

## clip_mask

char* _DrawInfo::clip_mask

Definition at line 302 of file draw.h.

## clip_path

MagickBooleanType _DrawInfo::clip_path

Definition at line 338 of file draw.h.

## clip_units

ClipPathUnits _DrawInfo::clip_units

Definition at line 308 of file draw.h.

## clipping_mask

Image* _DrawInfo::clipping_mask

Definition at line 341 of file draw.h.

## compliance

ComplianceType _DrawInfo::compliance

Definition at line 344 of file draw.h.

## compose

CompositeOperator _DrawInfo::compose

Definition at line 260 of file draw.h.

## composite_mask

Image* _DrawInfo::composite_mask

Definition at line 347 of file draw.h.

## dash_offset

double _DrawInfo::dash_offset

Definition at line 254 of file draw.h.

## dash_pattern

double* _DrawInfo::dash_pattern

Definition at line 299 of file draw.h.

## debug

MagickBooleanType _DrawInfo::debug

Definition at line 328 of file draw.h.

## decorate

DecorationType _DrawInfo::decorate

Definition at line 257 of file draw.h.

## density

char* _DrawInfo::density

Definition at line 287 of file draw.h.

## direction

DirectionType _DrawInfo::direction

Definition at line 325 of file draw.h.

## element_reference

ElementReference _DrawInfo::element_reference

Definition at line 317 of file draw.h.

## encoding

char* _DrawInfo::encoding

Definition at line 281 of file draw.h.

## face

size_t _DrawInfo::face

Definition at line 269 of file draw.h.

## family

char * _DrawInfo::family

Definition at line 266 of file draw.h.

## fill

PixelInfo _DrawInfo::fill

Definition at line 222 of file draw.h.

## fill_alpha

double _DrawInfo::fill_alpha

Definition at line 334 of file draw.h.

## fill_pattern

Image* _DrawInfo::fill_pattern

Definition at line 228 of file draw.h.

## fill_rule

FillRule _DrawInfo::fill_rule

Definition at line 242 of file draw.h.

## font

char * _DrawInfo::font

Definition at line 264 of file draw.h.

## geometry

char * _DrawInfo::geometry

Definition at line 213 of file draw.h.

## gradient

GradientInfo _DrawInfo::gradient

Definition at line 235 of file draw.h.

## gravity

GravityType _DrawInfo::gravity

Definition at line 293 of file draw.h.

## id

char* _DrawInfo::id

Definition at line 350 of file draw.h.

## image_info

ImageInfo* _DrawInfo::image_info

Definition at line 356 of file draw.h.

## interline_spacing

double _DrawInfo::interline_spacing

Definition at line 322 of file draw.h.

## interword_spacing

double _DrawInfo::interword_spacing

Definition at line 321 of file draw.h.

## kerning

double _DrawInfo::kerning

Definition at line 320 of file draw.h.

## linecap

LineCap _DrawInfo::linecap

Definition at line 245 of file draw.h.

## linejoin

LineJoin _DrawInfo::linejoin

Definition at line 248 of file draw.h.

## metrics

char * _DrawInfo::metrics

Definition at line 265 of file draw.h.

## miterlimit

size_t _DrawInfo::miterlimit

Definition at line 251 of file draw.h.

## pointsize

double _DrawInfo::pointsize

Definition at line 284 of file draw.h.

## primitive

char* _DrawInfo::primitive

Definition at line 212 of file draw.h.

## render

MagickBooleanType _DrawInfo::render

Definition at line 314 of file draw.h.

## server_name

char* _DrawInfo::server_name

Definition at line 296 of file draw.h.

## signature

size_t _DrawInfo::signature

Definition at line 331 of file draw.h.

## stretch

StretchType _DrawInfo::stretch

Definition at line 275 of file draw.h.

## stroke

PixelInfo _DrawInfo::stroke

Definition at line 223 of file draw.h.

## stroke_alpha

double _DrawInfo::stroke_alpha

Definition at line 335 of file draw.h.

## stroke_antialias

MagickBooleanType _DrawInfo::stroke_antialias

Definition at line 238 of file draw.h.

## stroke_pattern

Image * _DrawInfo::stroke_pattern

Definition at line 229 of file draw.h.

## stroke_width

double _DrawInfo::stroke_width

Definition at line 232 of file draw.h.

## style

StyleType _DrawInfo::style

Definition at line 272 of file draw.h.

## text

char* _DrawInfo::text

Definition at line 263 of file draw.h.

## text_antialias

MagickBooleanType _DrawInfo::text_antialias

Definition at line 239 of file draw.h.

## undercolor

PixelInfo _DrawInfo::undercolor

Definition at line 224 of file draw.h.

## viewbox

RectangleInfo _DrawInfo::viewbox

Definition at line 216 of file draw.h.

## weight

size_t _DrawInfo::weight

Definition at line 278 of file draw.h.

## word_break

WordBreakType _DrawInfo::word_break

Definition at line 353 of file draw.h.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/draw.h